<?php
/**
* ディレクトリ作成例外
*
* PHP version 5
*
* @package    exceptions
* @author     stk2k <stk2k@sazysoft.com>
* @copyright  2008 stk2k, sazysoft
*/

class MakeDirectoryException extends CharcoalException
{
	public function __construct( String $path )
	{
		$msg = "mkdir() failed: path=[$path]";

		parent::__construct( $msg );

		ExceptionStack::push( $this );
	}
}


return __FILE__;